"""
MIT License

Copyright (c) 2020 Steven Tan

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
"""
import setuptools

with open("README.md") as fp:
  LONG_DESCRIPTION = fp.read()

setuptools.setup(
  name="sktan_cdk.single_page_app",
  version="0.1.0",

  description="Base CDK stack for Single Page Applications",
  long_description=LONG_DESCRIPTION,
  long_description_content_type="text/markdown",

  author="Steven Tan",
  author_email="git@sktan.com",
  url="https://github.com/sktan/aws-cdk-python-spa-base",

  packages=setuptools.find_packages(),

  install_requires=[
    requirement.strip() for requirement in open('requirements.txt').readlines()
  ],

  python_requires=">=3.6",

  classifiers=[
    "Development Status :: 4 - Beta",

    "Intended Audience :: Developers",

    "License :: OSI Approved :: MIT License",

    "Programming Language :: JavaScript",
    "Programming Language :: Python :: 3 :: Only",
    "Programming Language :: Python :: 3.6",
    "Programming Language :: Python :: 3.7",
    "Programming Language :: Python :: 3.8",

    "Topic :: Software Development :: Code Generators",
    "Topic :: Utilities",

    "Typing :: Typed",
  ],
)
